/* ----------------------------------------------------------------------------
 *  Copyright (C) 1995-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

/* ----------------------------------------------------------------------------
 * math.h - extended mathmatical functions
 * ------------------------------------------------------------------------- */

extern double	re(complex);
extern double	im(complex);
extern boolean	int_(double);
extern double	sgn(double);
extern complex	sre(complex);
extern complex	sim(complex);
extern complex	ccmplx(double, double);
extern double	cabs(complex);
extern double	cphi(complex);
extern complex	cint(complex);
extern complex	csgn(complex);
extern complex	cfrac(complex);
extern complex	cround(complex);
extern complex	cneg(complex);
extern complex	cadd(complex, complex);
extern complex	csub(complex, complex);
extern complex	cmult(complex, complex);
extern complex	cdiv(complex, complex);
extern complex	cpower(complex, complex);
extern complex	cexp(complex);
extern complex	clog(complex);
extern complex	clog10(complex);
extern complex	csqrt(complex);
extern complex	csin(complex);
extern complex	ccos(complex);
extern complex	ctan(complex);
extern complex	ccot(complex);
extern complex	csinh(complex);
extern complex	ccosh(complex);
extern complex	ctanh(complex);
extern complex	ccoth(complex);
extern complex	carcsin(complex);
extern complex	carccos(complex);
extern complex	carctan(complex);
extern complex	carccot(complex);
extern complex	carsinh(complex);
extern complex	carcosh(complex);
extern complex	cartanh(complex);
extern complex	carcoth(complex);
extern complex	cfact(complex);
extern complex	cerf(complex);
extern complex	cerfc(complex);
